System.ServiceModel 4.0.0.0 System.Configuration.ConfigurationElement

For more information about service principal name, see Service Principal Names.

Represents a configuration element that specifies the principal name used by a client to uniquely identify an instance of a service. This class cannot be inherited.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("value", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Configuration.StringValidator(InvalidCharacters=null, MaxLength=2147483647, MinLength=0)
  System.String To be added. To be added.

  Gets or sets the service principal name encapsulated by this configuration element.